API ReferenceClient fields

Create client field

Create a new client field in the account.

POST
/v1/client_fields

Authorization

authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

Client field params

TypeScript Definitions

Use the request body type in TypeScript.

Request schema for creating a client field

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/client_fields" \  -H "Content-Type: application/json" \  -d '{    "key": "company_name",    "label": "Company Name",    "type": "short_text"  }'
{  "data": {    "created_at": "2024-01-01T00:00:00Z",    "description": null,    "id": "cf_a1b2c3d4e5f6",    "key": "company_name",    "label": "Company Name",    "object": "client_field",    "options": null,    "sensitive": false,    "sort_order": 1,    "type": "short_text",    "updated_at": "2024-01-01T00:00:00Z"  }}